Send Evidence
curl --request POST \
--url https://api.bleeprs.com/api/sendEvidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"sam@bleep,com"
],
"numberOfDigits": 8,
"receiverNumber": "2345678909999",
"seconds": 1000,
"senderId": "SUPERMAN",
"sendtoEmail": true
}
'import requests
url = "https://api.bleeprs.com/api/sendEvidence"
payload = {
"emails": ["sam@bleep,com"],
"numberOfDigits": 8,
"receiverNumber": "2345678909999",
"seconds": 1000,
"senderId": "SUPERMAN",
"sendtoEmail": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['sam@bleep,com'],
numberOfDigits: 8,
receiverNumber: '2345678909999',
seconds: 1000,
senderId: 'SUPERMAN',
sendtoEmail: true
})
};
fetch('https://api.bleeprs.com/api/sendEvidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Evidence
Send Evidence
Send verify Evidence to your users
POST
/
sendEvidence
Send Evidence
Evidence can be seen as a Verify API - That API that is used for sending OTP
to multi-factor authentication
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A copy of this message can be sent to these email addresses
Example:
["sam@bleep,com"]
The number of digits to be sent as an OTP [6 - 100]
Example:
8
Target phone number for delivery
Example:
"2345678909999"
Duration before expiry in seconds
Example:
1000
Pre-approved sender id based on the region and route
Example:
"SUPERMAN"
If message should be sent to email or not
Example:
true
Response
200 - undefined
Was this page helpful?
⌘I